How to fix Plesk mismatch version number after Plesk Migration from Plesk 12.x to Plesk Onyx

How to fix Plesk mismatch version number after Plesk Migration from Plesk 12.x to Plesk Onyx

Premise: After doing a Plesk migration from any type of Plesk 12 version to Plesk Onyx, the Plesk Control Panel shows proper information but a Plesk –v shows Plesk 12.x. Onyx

Reason: The /usr/local/psa/core.version and/or /usr/local/psa/version has incorrect  information

1.      First create a backup of those two files:

a)      mv /usr/local/psa/core.version /usr/local/psa/core.version.bak

b)      mv /usr/local/psa/version /usr/local/psa/version.bak

2.      Then you re-create the those two files with the proper information:

a)      cut –c1- /etc/Plesk-release | sed ‘s/cos/CentOS /’ | sed ‘s/ubuntu/Ubuntu /’ | sed ‘s/debian/Debian /’ | ‘s/c1/CloudLinux /’ | sed ‘s/el/RedHat /’ | sed ‘s/.build /’ > /usr/local/psa/version

b)       cut –c1- /etc/Plesk-release | sed ‘s/cos/CentOS /’ | sed ‘s/ubuntu/Ubuntu /’ | sed ‘s/debian/Debian /’ | ‘s/c1/CloudLinux /’ | sed ‘s/el/RedHat /’ | sed ‘s/.build /’ > /usr/local/psa/core.version

3.      After completing the above task, there will no longer be any Plesk mismatch version number